# frozen_string_literal: true

require "extensions.rb"

# SketchUp Team Extensions
module Trimble
  # Solar North Extension
  module SolarNorth
    # Correct for encoding issue in Windows.
    # https://sketchucation.com/forums/viewtopic.php?f=180&t=57017
    path = __FILE__.dup
    path.force_encoding("UTF-8") if path.respond_to?(:force_encoding)

    # Identifier for this extension.
    EXTENSION_ID = File.basename(path, ".*")

    # Root directory of this extension.
    EXTENSION_ROOT = File.join(File.dirname(path), EXTENSION_ID)

    # Extension object for this extension.
    EXTENSION = SketchupExtension.new(
        "太阳北极",
        File.join(EXTENSION_ROOT, "main")
      )

    EXTENSION.creator     = "Trimble Inc, SketchUp"
    EXTENSION.description =
        "提供一个工具栏，用于显示和更改模型中的太阳北极。"\
        "用于自定义阴影很有用。"
    EXTENSION.version     = "2.0.0"
    EXTENSION.copyright   = "2020, #{EXTENSION.creator}"
    Sketchup.register_extension(EXTENSION, true)
  end
end
